#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.0.3
visibility:           public
id:                   persistent-test-2.13.0.3-K8cjfI8ZNGGDhjdWhzrsnj
key:                  persistent-test-2.13.0.3-K8cjfI8ZNGGDhjdWhzrsnj
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  70585e3e4cb583eed861a7b17438a544
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MigrationColumnLengthTest
    MigrationIdempotencyTest MigrationOnlyTest MigrationTest
    MpsCustomPrefixTest MpsNoPrefixTest PersistTestPetCollarType
    PersistTestPetType PersistUniqueTest PersistentTest
    PersistentTestModels PersistentTestModelsImports PrimaryTest
    RawSqlTest ReadWriteTest Recursive RenameTest SumTypeTest
    TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.0.1/site-local/persistent-test-2.13.0.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/persistent-test-2.13.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/persistent-test-2.13.0.3
hs-libraries:         HSpersistent-test-2.13.0.3-K8cjfI8ZNGGDhjdWhzrsnj
depends:
    HUnit-1.6.2.0-BsKw8CCcf871fqpqEDC09s
    QuickCheck-2.14.2-D1tDsT83VTn5yrYWDvR6kA
    aeson-1.5.6.0-CI7TVKCpPUr3TvYJH78qPf base-4.15.0.0
    blaze-html-0.9.1.2-CRMKq9NNEWMBFcxZvjGhNR bytestring-0.10.12.1
    conduit-1.3.4.2-1UjnuMDsEIi5lhFydCbGRU containers-0.6.4.1
    exceptions-0.10.4 hspec-2.8.3-ErttXoKvy5LBAmpBCMOXM7
    hspec-expectations-0.8.2-K2KY3C8ipz3Kpo8fmEqriR
    http-api-data-0.4.3-5eH4ntKfaBTBVkZfoELsaX
    monad-control-1.0.3.1-Hib1MtKve1xLLh6gXuM2zz
    monad-logger-0.3.36-66wVWacyCr8KsO87KbiEY8 mtl-2.2.2
    path-pieces-0.2.1-HjhK3aNN7yZFxOOVXSfLKP
    persistent-2.13.1.2-Hhn09k6ExIBIDENGN2fHms
    quickcheck-instances-0.3.25.2-5ORDQyA1wIG1CYjqJ3DBNR
    random-1.2.1-CJdGQfuMFBr50G0gL4deb3
    resourcet-1.2.4.3-yPSWyqRYYA2lZn35JFrm5 text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-DO9cDE3HQPD86briAjEZLE
    unliftio-0.2.20-LZ2TdVCG1JPD2zWnEXJxzO
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-85xhml3fqIC6ZwgIEgRSE

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

